[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| ThresholdSplit |

`#include <vigra/random_forest/rf_split.hxx>`

Inheritance diagram for ThresholdSplit:

List of all members.

## Public Member Functions
template<class T>
void | set_external_parameters (ProblemSpec< T > const &in)

## Detailed Description

### template<class ColumnDecisionFunctor, class Tag = ClassificationTag>
class vigra::ThresholdSplit< ColumnDecisionFunctor, Tag >

Chooses mtry columns ad applys ColumnDecisionFunctor to each of the columns. Then Chooses the column that is best

## Member Function Documentation

template<class T>
void set_external_parameters | ( | ProblemSpec< T > const & | in | ) |

returns the DecisionTree Node created by findBestSplit or makeTerminalNode.

Reimplemented from SplitBase.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_split.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.7.1 (3 Dec 2010)